Bug 437215 - *** buffer overflow detected ***: ./conftest terminated
*** buffer overflow detected ***: ./conftest terminated
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: m4 (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 18:28 EDT by Robert Scheck
Modified: 2008-05-07 07:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 07:09:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2008-03-12 18:28:43 EDT
Description of problem:
checking whether printf supports size specifiers as in C99... yes
checking whether printf supports 'long double' arguments... yes
checking whether printf supports infinite 'double' arguments... yes
checking whether printf supports infinite 'long double' arguments... *** buffer
overflow detected ***: ./conftest terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x48)[0x22b6f8]
/lib/libc.so.6[0x229810]
/lib/libc.so.6[0x228f08]
/lib/libc.so.6(_IO_default_xsputn+0xc8)[0x19f608]
/lib/libc.so.6(__printf_fp+0x14c2)[0x177d92]
/lib/libc.so.6(_IO_vfprintf+0x3ca)[0x171a0a]
/lib/libc.so.6(__vsprintf_chk+0xa7)[0x228fb7]
/lib/libc.so.6(__sprintf_chk+0x2d)[0x228efd]
./conftest[0x8048db7]
/lib/libc.so.6(__libc_start_main+0xe6)[0x148606]
./conftest[0x8048351]
======= Memory map: ========
00110000-0012f000 r-xp 00000000 68:02 2965672    /lib/ld-2.7.90.so
0012f000-00130000 r-xp 0001e000 68:02 2965672    /lib/ld-2.7.90.so
00130000-00131000 rwxp 0001f000 68:02 2965672    /lib/ld-2.7.90.so
00131000-00132000 r-xp 00131000 00:00 0          [vdso]
00132000-0029c000 r-xp 00000000 68:02 2965537    /lib/libc-2.7.90.so
0029c000-0029e000 r-xp 0016a000 68:02 2965537    /lib/libc-2.7.90.so
0029e000-0029f000 rwxp 0016c000 68:02 2965537    /lib/libc-2.7.90.so
0029f000-002a2000 rwxp 0029f000 00:00 0
002a2000-002af000 r-xp 00000000 68:02 2965644    /lib/libgcc_s-4.3.0-20080307.so.1
002af000-002b0000 rwxp 0000c000 68:02 2965644    /lib/libgcc_s-4.3.0-20080307.so.1
08048000-0804a000 r-xp 00000000 68:02 3147693   
/usr/src/rpm/BUILD/m4-1.4.10/conftest
0804a000-0804b000 rw-p 00001000 68:02 3147693   
/usr/src/rpm/BUILD/m4-1.4.10/conftest
09c2b000-09c4c000 rw-p 09c2b000 00:00 0
b7f18000-b7f1a000 rw-p b7f18000 00:00 0
bfc83000-bfc98000 rw-p bffea000 00:00 0          [stack]
no
checking whether printf supports the 'a' and 'A' directives... yes
checking whether printf supports the 'F' directive... yes
checking whether printf supports the 'n' directive... yes
checking whether printf supports POSIX/XSI format strings with positions... yes

Version-Release number of selected component (if applicable):
m4-1.4.10-3

Expected results:
No buffer overflow... ;-)
Comment 1 Robert Scheck 2008-04-05 14:46:25 EDT
                === gfortran Summary ===

# of expected passes            23797
# of unexpected failures        8
# of expected failures          3
# of unsupported tests          24
/usr/src/rpm/BUILD/gcc-4.3.0-20080404/obj-i386-redhat-linux/gcc/testsuite/
gfortran/../../gfortran  version 4.3.0 20080404 (Red Hat 4.3.0-6) (GCC)

make[2]: [check-gfortran] Error 1 (ignored)

Note You need to log in before you can comment on or make changes to this bug.